Bug 150010 - Symbols in 2.6.9-1.648 are not included in 2.6.9-5
Summary: Symbols in 2.6.9-1.648 are not included in 2.6.9-5
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-01 17:03 UTC by Heather Conway
Modified: 2015-01-04 22:17 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-02 20:36:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Heather Conway 2005-03-01 17:03:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; EMC IS 55; .NET CLR 1.0.3705; .NET CLR 1.1.4322)

Description of problem:
The PowerPath team is unable to build PP using RHEL 4.0. They were able to build previously with a release based on the 2.6.9-1.648 kernel. 

This problem has to do with two unresolved symbols and module link time. Specifically, it appears the following symbols are no longer included in Modules.symvers:
def_blk_fops
put_filp

Is this already known?  Per the PowerPath team, PP 4.4 development for RHEL 4 is blocked until we can identify a resolution to this issue.

Version-Release number of selected component (if applicable):
kernel-2.6.9-5

How reproducible:
Always

Steps to Reproduce:
1.Developers are attempting to build PowerPath on RHEL 4.0 v2.6.9-5 and it is failing.  
2.Prior builds on 2.6.9-1.648 succeeded
3.
  

Actual Results:  The build fails.

Expected Results:  It is expected that the build would be successful.

Additional info:

Comment 1 Dave Jones 2005-03-02 20:36:14 UTC
they went away upstream.



Note You need to log in before you can comment on or make changes to this bug.